using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using RFrameGenerate.Model;

namespace RFrameGenerate.BLL
{
    public class LogisticsCompanysManage
    {
        public static List<T_BAS_LogisticsCompanys> GetList_All()
        {
            using (var query = Factory.CreateT_BAS_LogisticsCompanys())
            {
                return query.GetList("","Sort",DAL.Enums.OrderMethods.ASC);
            }
        }



        public static T_BAS_LogisticsCompanys GetEntity(Guid expressCompany)
        {
            using (var query = Factory.CreateT_BAS_LogisticsCompanys())
            {
                return query.GetFirstData(a => a.LogisticsCompanyGuid == expressCompany);
            }
        }
    }
}
